<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Lint R Markdown package — lint_rmd • pkgpurl</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Lint R Markdown package — lint_rmd"><meta name="description" content="This is a convenience wrapper around lintr::lint_dir() which is tailored to a typical R Markdown package. To use this function, the
lintr package is required."><meta property="og:description" content="This is a convenience wrapper around lintr::lint_dir() which is tailored to a typical R Markdown package. To use this function, the
lintr package is required."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">pkgpurl</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9015</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/rpkg.dev/pkgpurl/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Lint R Markdown package</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/rpkg.dev/pkgpurl/blob/HEAD/R/pkgpurl.gen.R" class="external-link"><code>R/pkgpurl.gen.R</code></a></small>
      <div class="d-none name"><code>lint_rmd.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>This is a convenience wrapper around <code><a href="https://lintr.r-lib.org/reference/lint.html" class="external-link">lintr::lint_dir()</a></code> which is tailored to a typical R Markdown package. To use this function, the
<a href="https://github.com/jimhester/lintr/#readme" class="external-link">lintr</a> package is required.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">lint_rmd</span><span class="op">(</span></span>
<span>  path <span class="op">=</span> <span class="st">"."</span>,</span>
<span>  linters <span class="op">=</span> <span class="va">default_linters</span>,</span>
<span>  cache <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  relative_path <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  exclusions <span class="op">=</span> <span class="fu"><a href="default_exclusions.html">default_exclusions</a></span><span class="op">(</span>excl_vignettes <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span>,</span>
<span>  pattern <span class="op">=</span> <span class="st">"\\.[Rr]([Mm][Dd])?$"</span>,</span>
<span>  parse_settings <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  show_progress <span class="op">=</span> <span class="cn">NULL</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-path">path<a class="anchor" aria-label="anchor" href="#arg-path"></a></dt>
<dd><p>Path to the root of the package directory.</p></dd>


<dt id="arg-linters">linters<a class="anchor" aria-label="anchor" href="#arg-linters"></a></dt>
<dd><p>A named list of linter functions to apply. See <a href="https://lintr.r-lib.org/reference/linters.html" class="external-link">linters</a> for a full list of default and available
linters.</p></dd>


<dt id="arg-cache">cache<a class="anchor" aria-label="anchor" href="#arg-cache"></a></dt>
<dd><p>When logical, toggle caching of lint results. If passed a character string, store the cache in this
directory.</p></dd>


<dt id="arg-relative-path">relative_path<a class="anchor" aria-label="anchor" href="#arg-relative-path"></a></dt>
<dd><p>if <code>TRUE</code>, file paths are printed using their path relative to the base directory.
If <code>FALSE</code>, use the full absolute path.</p></dd>


<dt id="arg-exclusions">exclusions<a class="anchor" aria-label="anchor" href="#arg-exclusions"></a></dt>
<dd><p>exclusions for <code><a href="https://lintr.r-lib.org/reference/exclude.html" class="external-link">exclude()</a></code>, relative to the package path.</p></dd>


<dt id="arg-pattern">pattern<a class="anchor" aria-label="anchor" href="#arg-pattern"></a></dt>
<dd><p>pattern for files, by default it will take files with any of the extensions
.R, .Rmd, .qmd, .Rnw, .Rhtml, .Rrst, .Rtex, .Rtxt allowing for lowercase r (.r, ...).</p></dd>


<dt id="arg-parse-settings">parse_settings<a class="anchor" aria-label="anchor" href="#arg-parse-settings"></a></dt>
<dd><p>Logical, default <code>TRUE</code>. Whether to try and parse the <a href="https://lintr.r-lib.org/reference/read_settings.html" class="external-link">settings</a>. Otherwise,
the <code><a href="https://lintr.r-lib.org/reference/default_settings.html" class="external-link">default_settings()</a></code> are used.</p></dd>


<dt id="arg-show-progress">show_progress<a class="anchor" aria-label="anchor" href="#arg-show-progress"></a></dt>
<dd><p>Logical controlling whether to show linting progress with a simple text
progress bar <em>via</em> <code><a href="https://rdrr.io/r/utils/txtProgressBar.html" class="external-link">utils::txtProgressBar()</a></code>. The default behavior is to show progress in
<code><a href="https://rdrr.io/r/base/interactive.html" class="external-link">interactive()</a></code> sessions not running a testthat suite.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>An object of class <code>c("lints", "list")</code>, each element of which is a <code>"list"</code> object.</p>
    </div>
    <div class="section level2">
    <h2 id="details">Details<a class="anchor" aria-label="anchor" href="#details"></a></h2>
    <p>To avoid unnecessary noise, all the the generated <code>R/*.gen.R</code> files as well as R Markdown vignettes under <code>vignettes/*.Rmd</code> are excluded from linting.</p>
<p>This function is registered as an <a href="https://rstudio.github.io/rstudioaddins/" class="external-link">RStudio add-in</a>, allowing RStudio users to assign a <a href="https://support.rstudio.com/hc/en-us/articles/206382178-Customizing-Keyboard-Shortcuts-in-the-RStudio-IDE" class="external-link">custom shortcut</a> to it and to invoke it from the <a href="https://www.rstudio.com/blog/rstudio-1-4-a-quick-tour/#command-palette--shortcuts" class="external-link">command palette</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p><code><a href="default_linters.html">default_linters</a></code> and <code><a href="default_exclusions.html">default_exclusions()</a></code></p>
<p>Other high-level functions:
<code><a href="load_pkg.html">load_pkg</a>()</code>,
<code><a href="process_pkg.html">process_pkg</a>()</code>,
<code><a href="purl_rmd.html">purl_rmd</a>()</code>,
<code><a href="run_nopurl_rmd.html">run_nopurl_rmd</a>()</code></p></div>
    </div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.</p>
</div>

    </footer></div>





  </body></html>

